Name:           nvenc
Version:        7.1.9
Release:        %mkrel 1
Summary:        A comprehensive set of APIs for hardware accelerated video encode and decode
License:        https://developer.nvidia.com/nvidia-video-codec-sdk-license-agreement, Redistributable, no modification permitted
Group:          Development/Other
URL:            https://developer.nvidia.com/nvidia-video-codec-sdk
BuildArch:      noarch
Provides:       nvidia-video-codec-sdk = %{version}-%{release}
Obsoletes:      nvidia-video-codec-sdk < %{version}-%{release}
Provides:       nvenc-devel = %{version}-%{release}
Obsoletes:      nvenc-devel < %{version}-%{release}

%description
NVIDIA Products with the Kepler, Maxwell and Pascal generation GPUs contain
a dedicated accelerator for video encoding, called NVENC and a dedicated
accelerator for video decoding, called NVDEC, on the GPU die.

While using the dedicated hardware for encode or decode, the GPU’s CUDA cores
and system CPU are free to run other compute-intensive tasks.

NVENCODE API enables software developers to configure this dedicated hardware
video encoder. This dedicated accelerator encodes video at higher speeds and
power efficiency than CUDA-based or CPU-based encoders at equivalent quality.
NVENCODE API allows the programmer to control various settings of the encoder
to set the desired tradeoff between quality and performance.

This dedicated accelerator supports hardware-accelerated decoding of the
following video codecs on Windows and Linux platforms: MPEG-2, VC-1,
H.264 (AVCHD), H.265 (HEVC), VP8, VP9.

Note: For Video Codec SDK 7.0, NVCUVID has been renamed to NVDECODE API.

%package samples
Summary:        A comprehensive set of APIs for hardware accelerated video encode and decode
Requires:       %name = %{version}-%{release}
Obsoletes:      %name-samples < %{version}-%{release}

%description samples
This package contains nvEncoder Sample application source code demonstrating
various encoding capabilities.

%prep
# clean everything first
rm -rf $RPM_BUILD_DIR/*

# download source
cd $RPM_SOURCE_DIR
wget -nc https://github.com/UnitedRPMs/nvenc/releases/download/%{version}/Video_Codec_SDK_%{version}.zip
unzip -q Video_Codec_SDK_%{version}.zip
mv Video_Codec_SDK_%{version}/* $RPM_BUILD_DIR/
cd ..

%build
# nothing

%install
install -m 644 -p -D Samples/common/inc/nvEncodeAPI.h \
    %{buildroot}%{_includedir}/%{name}/nvEncodeAPI.h
ln -sf %{_includedir}/%{name}/nvEncodeAPI.h Samples/common/inc/nvEncodeAPI.h

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/*

%files
%doc doc/*.pdf LicenseAgreement.pdf *.txt
%{_includedir}/%{name}

%files samples
%doc Samples LicenseAgreement.pdf


%changelog
* Wed Dec 13 2017 Zen Subz <techars21 at gmail dot com> - 7.1.9-1pclos2017
- Build to compile static libav-tools for PCLinuxOS
